package com.fs.company.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 中间号对象 company_voice_mobile
 * 
 * @author fs
 * @date 2021-10-04
 */
public class CompanyVoiceMobile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long mobileId;
    @Excel(name = "接口ID")
    private Long apiId;

    @Excel(name = "手机号")
    private String mobile;

    private Integer status;

    private Long companyId;

    private Integer mobileType;

    private String  remark;

    @Override
    public String getRemark() {
        return remark;
    }

    @Override
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getCompanyId() {
        return companyId;
    }

    public void setCompanyId(Long companyId) {
        this.companyId = companyId;
    }

    public Integer getMobileType() {
        return mobileType;
    }

    public void setMobileType(Integer mobileType) {
        this.mobileType = mobileType;
    }

    public void setMobileId(Long mobileId)
    {
        this.mobileId = mobileId;
    }

    public Long getMobileId() 
    {
        return mobileId;
    }
    public void setApiId(Long apiId) 
    {
        this.apiId = apiId;
    }

    public Long getApiId() 
    {
        return apiId;
    }
    public void setMobile(String mobile) 
    {
        this.mobile = mobile;
    }

    public String getMobile() 
    {
        return mobile;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }


}
